
#include "MacroPatternMatch.h"

#include "HROOTHistTAxis.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "TGraph2D.h"

#include "HROOTHistTGraph2D.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TNAMED_DEF_VIRT(TGraph2D)
TATTLINE_DEF_VIRT(TGraph2D)
TATTFILL_DEF_VIRT(TGraph2D)
TATTMARKER_DEF_VIRT(TGraph2D)
TOBJECT_DEF_VIRT(TGraph2D)
DELETABLE_DEF_VIRT(TGraph2D)
TGRAPH2D_DEF_VIRT(TGraph2D)
TGRAPH2D_DEF_NONVIRT(TGraph2D)
TGRAPH2D_DEF_ACCESSOR(TGraph2D)

