
#include "MacroPatternMatch.h"

#include "HROOTHistTH2.h"

#include "HROOTCoreTArrayD.h"

#include "TH2D.h"

#include "HROOTHistTH2D.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH2D_fill1_PROTECTED ()
TH2_DEF_VIRT(TH2D)
TARRAYD_DEF_VIRT(TH2D)
TH1_DEF_VIRT(TH2D)
TNAMED_DEF_VIRT(TH2D)
TATTLINE_DEF_VIRT(TH2D)
TATTFILL_DEF_VIRT(TH2D)
TATTMARKER_DEF_VIRT(TH2D)
TOBJECT_DEF_VIRT(TH2D)
DELETABLE_DEF_VIRT(TH2D)
TARRAY_DEF_VIRT(TH2D)
TH2D_DEF_VIRT(TH2D)
TH2D_DEF_NONVIRT(TH2D)
TH2D_DEF_ACCESSOR(TH2D)

