
#include "MacroPatternMatch.h"

#include "HROOTCoreTNamed.h"

#include "TFitResult.h"

#include "HROOTHistTFitResult.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TNAMED_DEF_VIRT(TFitResult)
TOBJECT_DEF_VIRT(TFitResult)
DELETABLE_DEF_VIRT(TFitResult)
TFITRESULT_DEF_VIRT(TFitResult)
TFITRESULT_DEF_NONVIRT(TFitResult)
TFITRESULT_DEF_ACCESSOR(TFitResult)

