
#include "MacroPatternMatch.h"

#include "HROOTHistTGraph.h"

#include "TGraphErrors.h"

#include "HROOTHistTGraphErrors.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TGRAPH_DEF_VIRT(TGraphErrors)
TNAMED_DEF_VIRT(TGraphErrors)
TATTLINE_DEF_VIRT(TGraphErrors)
TATTFILL_DEF_VIRT(TGraphErrors)
TATTMARKER_DEF_VIRT(TGraphErrors)
TOBJECT_DEF_VIRT(TGraphErrors)
DELETABLE_DEF_VIRT(TGraphErrors)
TGRAPHERRORS_DEF_VIRT(TGraphErrors)
TGRAPHERRORS_DEF_NONVIRT(TGraphErrors)
TGRAPHERRORS_DEF_ACCESSOR(TGraphErrors)

