
#include "MacroPatternMatch.h"

#include "HROOTHistTH3.h"

#include "HROOTCoreTArrayI.h"

#include "TH3I.h"

#include "HROOTHistTH3I.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH3I_fill1_PROTECTED ()

#define IS_TH3I_fill1w_PROTECTED ()
TH3_DEF_VIRT(TH3I)
TARRAYI_DEF_VIRT(TH3I)
TH1_DEF_VIRT(TH3I)
TATT3D_DEF_VIRT(TH3I)
TNAMED_DEF_VIRT(TH3I)
TATTLINE_DEF_VIRT(TH3I)
TATTFILL_DEF_VIRT(TH3I)
TATTMARKER_DEF_VIRT(TH3I)
TOBJECT_DEF_VIRT(TH3I)
DELETABLE_DEF_VIRT(TH3I)
TARRAY_DEF_VIRT(TH3I)
TH3I_DEF_VIRT(TH3I)
TH3I_DEF_NONVIRT(TH3I)
TH3I_DEF_ACCESSOR(TH3I)

